Subject: Re: bug#14303: 24.3; Bug in comment-search-backward

From: Stefan Monnier <[email-masked]>
Date: Thu, 16 May 2013 09:28:49 -0400

> So it is no longer fine for comment-search-backward to end up in a
> comment or string any more.

I'd like to know a bit more about "no longer": what has changed?

IIUC the change is that you want to use comment-search-backward in
a different circumstance, but I don't really understand what is
that circumstance.

> How about something like this?

It looks OK, though please only use syntax-ppss if comment-use-syntax is
set, because some modes still use comment commands in contexts where the
syntax tables do not reflect the intended comment syntax.

        Stefan